=== debian/control ===
Source: hed
Section: utils
Priority: optional
Maintainer: Arjen Wiersma <arjen+debian@wiersma.org>
Build-Depends:
    debhelper-compat (= 13),
    cargo,
    help2man
Standards-Version: 4.5.1
Homepage: https://github.com/credmp/hed
#Vcs-Browser: https://salsa.debian.org/debian/hed
Vcs-Git: https://github.com/credmp/hed.git
Rules-Requires-Root: no

Package: hed
Architecture: amd64
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Description: command-line tool to manage the hosts file.
 Enables you to manipulate your hosts file from the command-line.
 By providing safe and easy commands you can add new hosts and aliases
 to your environment.
